<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <!-- font -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
      rel="stylesheet"
    />
    <!-- reset css -->
    <link rel="stylesheet" href="./assets/css/_reset.css" />
    <!-- style.css -->
    <link rel="stylesheet" href="./assets/css/style.css" />
  </head>
  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <div class="card-body p-0">
          <div class="row">
            <div
              class="col-12 col-md-4 col-lg-3 col-xl-2 nav flex-column nav-tabs nav-pills nav-bai-tap"
              id="v-pills-tab"
              role="tablist"
              aria-orientation="vertical"
            >
              <a
                class="nav-link mb-2 active"
                id="v-pills-bai-1-tab"
                data-toggle="pill"
                href="#v-pills-bai-1"
                role="tab"
                aria-controls="v-pills-bai-1"
                aria-selected="true"
                >Bài 1</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-2-tab"
                data-toggle="pill"
                href="#v-pills-bai-2"
                role="tab"
                aria-controls="v-pills-bai-2"
                aria-selected="false"
                >Bài 2</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-3-tab"
                data-toggle="pill"
                href="#v-pills-bai-3"
                role="tab"
                aria-controls="v-pills-bai-3"
                aria-selected="false"
                >Bài 3</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-4-tab"
                data-toggle="pill"
                href="#v-pills-bai-4"
                role="tab"
                aria-controls="v-pills-bai-4"
                aria-selected="false"
                >Bài 4</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-5-tab"
                data-toggle="pill"
                href="#v-pills-bai-5"
                role="tab"
                aria-controls="v-pills-bai-5"
                aria-selected="false"
                >Bài 5</a
              >
            </div>
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active bai-tap-1"
                id="v-pills-bai-1"
                role="tabpanel"
                aria-labelledby="v-pills-bai-1-tab"
              >
                <h5 class="card-title">💰 Tính tiền lương nhân viên</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                    <br />
                    Công thức: Lương = Lương 1 ngày * số ngày làm
                    <br />
                    Kiến thức áp dụng:
                  </p>
                  <ul>
                    <li>Tìm tới thẻ và lấy giá trị</li>
                    <li>Tạo hàm cơ bản</li>
                    <li>Gắn sự kiện click cho button</li>
                    <li>Thay đổi nội dung cho thẻ</li>
                    <li>Xử lý load trang với button của form</li>
                  </ul>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-5">
                    <input
                      type="number"
                      class="form-control form__input payPerDay"
                      name="payPerDay"
                      id="payPerDay"
                      placeholder="Nhập lương một ngày"
                    />
                  </div>
                  <div class="col-12 col-lg-5">
                    <input
                      type="number"
                      class="form-control form__input workDays"
                      name="workDays"
                      id="workDays"
                      placeholder="Số ngày làm"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-1"
                      id="btn-calc-bai-1"
                      data-target="bai-1"
                      class="btn rounded-pill btn-calc btn-calc-bai-1 mr-1 mb-1"
                    >
                      Tính lương
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-1"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-2"
                id="v-pills-bai-2"
                role="tabpanel"
                aria-labelledby="v-pills-bai-2-tab"
              >
                <h5 class="card-title">📚 Tính giá trị trung bình</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                    <br />
                    Kiến thức áp dụng:
                  </p>
                  <ul>
                    <li>Tìm tới thẻ và lấy giá trị</li>
                    <li>Tạo hàm cơ bản</li>
                    <li>Gắn sự kiện click cho button</li>
                    <li>Thay đổi nội dung cho thẻ</li>
                    <li>Xử lý load trang với button của form</li>
                  </ul>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num1"
                      name="num1"
                      id="num1"
                      placeholder="Nhập số thứ 1"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num2"
                      name="num2"
                      id="num2"
                      placeholder="Nhập số thứ 2"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num3"
                      name="num3"
                      id="num3"
                      placeholder="Nhập số thứ 3"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num4"
                      name="num4"
                      id="num4"
                      placeholder="Nhập số thứ 4"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num5"
                      name="num5"
                      id="num5"
                      placeholder="Nhập số thứ 5"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-2"
                      id="btn-calc-bai-2"
                      data-target="bai-2"
                      class="btn rounded-pill btn-calc btn-calc-bai-2 mr-1 mb-1"
                    >
                      Tính trung bình
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-2"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-3"
                id="v-pills-bai-3"
                role="tabpanel"
                aria-labelledby="v-pills-bai-3-tab"
              >
                <h5 class="card-title">💱 Quy đổi tiền</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                    <br />
                    Kiến thức áp dụng:
                  </p>
                  <ul>
                    <li>Áp dụng các kiến thức như bài 1 và 2</li>
                    <li>Giá USD mặc định 1 USD = 23500</li>
                    <li>
                      Có thể dùng thêm NumberFormat để số tiền hiển thị đẹp hơn:
                      <a
                        href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat"
                        >NumberFormat</a
                      >
                      <br />
                      VD: new Intl.NumberFormat('vn-VN').format(23500); =>
                      23,500
                    </li>
                  </ul>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input money"
                      name="money"
                      id="money"
                      placeholder="Nhập số tiền USD"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-3"
                      id="btn-calc-bai-3"
                      data-target="bai-3"
                      class="btn rounded-pill btn-calc btn-calc-bai-3 mr-1 mb-1"
                    >
                      Quy đổi tiền
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-3"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-4"
                id="v-pills-bai-4"
                role="tabpanel"
                aria-labelledby="v-pills-bai-4-tab"
              >
                <h5 class="card-title">
                  📏 Tính diện tích, chu vi hình chữ nhật
                </h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                    <br />
                    Kiến thức áp dụng:
                  </p>
                  <ul>
                    <li>Áp dụng các kiến thức như các bài trước</li>
                    <li>Diện tích: dài x rộng</li>
                    <li>Chu vi: (dài + rộng) x 2</li>
                  </ul>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input width"
                      name="width"
                      id="width"
                      placeholder="Nhập chiều dài"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input height"
                      name="height"
                      id="height"
                      placeholder="Nhập chiều rộng"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-4"
                      id="btn-calc-bai-4"
                      data-target="bai-4"
                      class="btn rounded-pill btn-calc btn-calc-bai-4 mr-1 mb-1"
                    >
                      Tính
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-4"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-5"
                id="v-pills-bai-5"
                role="tabpanel"
                aria-labelledby="v-pills-bai-5-tab"
              >
                <h5 class="card-title">🧮 Tính tổng 2 ký số</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                    <br />
                    Kiến thức áp dụng:
                  </p>
                  <ul>
                    <li>Áp dụng cách tính như demo tổng 3 ký số trên lớp</li>
                  </ul>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num"
                      name="num"
                      id="num"
                      placeholder="Nhập số có 2 chữ số"
                    />
                  </div>

                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-5"
                      id="btn-calc-bai-5"
                      data-target="bai-5"
                      class="btn rounded-pill btn-calc btn-calc-bai-5 mr-1 mb-1"
                    >
                      Tính tổng
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-5"></span>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./assets/js/index.js"></script>
  </body>
</html>
